[pve-devel] [PATCH manager v2 11/17] postinst: remove fixup for ceph jewel update transition

Thomas Lamprecht t.lamprecht at proxmox.com
Mon Mar 12 14:14:02 CET 2018


In commit 8b89f7533e2df983e0285e2f170971a3637d7349 we needed to
change the ceph.service install target to multi-user.target, as
ceph.target could hang indefinitely if ceph-common gets upgraded.
This change is included in pve-manager 4.4-13 and newer, as users
wanting to upgrade to 5.0 must upgrade to latest 4.4 to be able to do
so (without headache) this can be removed.

Signed-off-by: Thomas Lamprecht <t.lamprecht at proxmox.com>
---
 debian/postinst | 12 ------------
 1 file changed, 12 deletions(-)

diff --git a/debian/postinst b/debian/postinst
index 95b2fb24..f0002e5f 100755
--- a/debian/postinst
+++ b/debian/postinst
@@ -62,18 +62,6 @@ EOF
 	echo '|/usr/bin/pvemailforward' >>/root/.forward
     fi
 
-    if [ -f /etc/systemd/system/ceph.service ]; then
-	md5=$(md5sum /etc/systemd/system/ceph.service)
-	if [[ "$md5" == "21b2e7a7c4ffcf92ad0ec2c905e88e5b  /etc/systemd/system/ceph.service" ]]; then
-	    echo "Updating PVE ceph.service to correct install target.."
-	    cp /usr/share/doc/pve-manager/examples/ceph.service /etc/systemd/system/ceph.service
-	    systemctl --system daemon-reload >/dev/null || true
-	    systemctl --system disable ceph.service
-	    systemctl --system enable ceph.service
-	    echo " done"
-	fi
-    fi
-
     systemctl --system daemon-reload >/dev/null || true
 
     # same as dh_systemd_enable (code copied)
-- 
2.14.2




More information about the pve-devel mailing list